Page MenuHomePhabricator

UploadWizard: Selenium tests failing
Closed, ResolvedPublic

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptJun 28 2018, 10:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
zeljkofilipin removed zeljkofilipin as the assignee of this task.Jun 28 2018, 5:08 PM
zeljkofilipin moved this task from In Progress 🔨 to Next 🔜 on the User-zeljkofilipin board.
zeljkofilipin added a subscriber: zeljkofilipin.
matmarex raised the priority of this task from High to Unbreak Now!.Jun 29 2018, 2:37 PM
matmarex added a subscriber: matmarex.

This is UBN, we've just made a breaking change in MediaWiki core (https://gerrit.wikimedia.org/r/c/mediawiki/core/+/417194) and now we need to merge a followup in UploadWizard (https://gerrit.wikimedia.org/r/c/mediawiki/extensions/UploadWizard/+/442782). And apparently humans are not allowed to vote V+2 in mediawiki/extensions/UploadWizard, so I can't override Jenkins.

I'll investigate this a bit…

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptJun 29 2018, 2:37 PM

You can temporarily add the right to v+2 in that repo (if your the project owner of mediawiki/extensions/UploadWizard)

So, this is the first failing test:
https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/6234/consoleText

	Screenshot: /log/should-show-page-with-new-edit.png

------------------------------------------------------------------
[chrome #0-3] Session ID: e2fcfd73b4120799f18f6331122e1c5b
[chrome #0-3] Spec: /workspace/src/tests/selenium/specs/specialwatchlist.js
[chrome #0-3] Running: chrome
[chrome #0-3]
[chrome #0-3]   Special:Watchlist
[chrome #0-3]
[chrome #0-3]   Special:Watchlist
[chrome #0-3]       1) should show page with new edit
[chrome #0-3]
[chrome #0-3]
[chrome #0-3] 1 failing (12s)
[chrome #0-3]
[chrome #0-3] 1) Special:Watchlist should show page with new edit:
[chrome #0-3] An element could not be located on the page using the given search parameters (".mw-changeslist").
[chrome #0-3] Error: An element could not be located on the page using the given search parameters (".mw-changeslist").
[chrome #0-3]     at Context.<anonymous> (tests/selenium/specs/specialwatchlist.js:38:36)
[chrome #0-3]     at Promise.F (node_modules/core-js/library/modules/_export.js:36:28)
[chrome #0-3]     at elements(".mw-changeslist-line .mw-title") - $$.js:42:17
[chrome #0-3]     at $$(".mw-changeslist-line .mw-title") - at WatchlistPage.get titles [as titles] (tests/selenium/pageobjects/watchlist.page.js:6:5)
[chrome #0-3]

Apparently you can find all the build artifacts, like screenshots and logs, here: https://integration.wikimedia.org/ci/blue/organizations/jenkins/quibble-vendor-mysql-hhvm-docker/detail/quibble-vendor-mysql-hhvm-docker/6234/artifacts

And here is the screenshot it saved:
https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/6234/artifact/log/should-show-page-with-new-edit.png

So for whatever reason, it can't log in, and the tests for watchlist are failing. (Why are we testing watchlist stuff in UploadWizard anyway?)

Looking over the artifacts, I also found this:
https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/6234/artifact/log/ERROR_chrome_2018-06-28T13-58-52.572Z.png


So we're trying to log in with an invalid username.

I also found MediaWiki debug logs in the artifacts, so I tried to find some information about the invalid username there… bingo!
https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/6234/artifact/log/mw-debug-www.log

[authentication] ILLEGAL new account 'User-0.7804362442237665-Iñtërnâtiônàlizætiøn☃' Contains unassigned character "☃" (U+2603)
[authentication] MediaWiki\Auth\AuthManager::continueAccountCreation: Fail in pre-authentication by AntiSpoofPreAuthenticationProvider
matmarex claimed this task.Jun 29 2018, 2:49 PM

Change 443095 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] selenium: Remove '☃' character (U+2603 snowman emoji) from random usernames

https://gerrit.wikimedia.org/r/443095

Change 443095 merged by jenkins-bot:
[mediawiki/core@master] selenium: Remove '☃' character (U+2603 snowman emoji) from random usernames

https://gerrit.wikimedia.org/r/443095

matmarex closed this task as Resolved.Jun 29 2018, 8:24 PM
matmarex removed a project: Patch-For-Review.

I'm able to merge changes in UploadWizard now.